<?php
/**
 * Block render callback.
 *
 * @param array     $attributes The block attributes.
 * @param string    $content    The block content.
 * @param WP_Block  $block      The block object.
 *
 * @package wpdev
 */
?>

<div <?php echo get_block_wrapper_attributes(); ?> 
	style="background-image: url(<?php echo wp_get_attachment_image_url($attributes['backgroundImage'], $size = "large"); ?>"
	tabindex="0">
	
	<div class="call-to-action">
		<?php 
			if (isset($attributes['heading']) && $attributes['heading']) { 
				echo "<h2>";
				echo esc_html($attributes['heading']);
				echo "</h2>";
			}
		?>

		<a href="<?php echo esc_html($attributes['buttonLink']); ?>" class="btn btn-primary btn-lg"><?php echo esc_html($attributes['buttonText']); ?></a>
	</div>
</div>